Bug 535453 - (RHQ-2147) allow a resource type to have multiple possible parent resource types via "references" in the plugin descriptor
allow a resource type to have multiple possible parent resource types via "re...
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Plugin Container (Show other bugs)
unspecified
All All
low Severity low (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-12 09:41 EDT by Ian Springer
Modified: 2014-05-05 17:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-05 17:24:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2009-06-12 09:41:00 EDT
This would allow us to merge for a number of "duplicate" Resource types (e.g. EJBs under either standalone EJB-JAR or embedded EJB-JAR; JVMs under JBossAS, Tomcat, or RHQ Agent; Scripts under different Server types; etc.)

Note, our model already supports this, and we already allow it for servers and top-level services, which can potentially have any of the platform resource types as parents. I think a nice way to support it across the boards at the plugin descriptor level would be using the notion of references, e.g.:

<server name="JBossAS Server">
   <service name="Web Application (WAR)">
      <metric ...>
      <operation ...>
         etc.
   </service>
   <service name="Enterprise Application (EAR)">
      <service ref="Web Application (WAR)"/>
           ...
      </service>
       ...
</server>

Comment 1 Red Hat Bugzilla 2009-11-10 15:58:46 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2147
Comment 3 Jay Shaughnessy 2014-05-05 17:24:48 EDT
See the use of ENTITY in AS7 plugin.  That is the style used for this.

Note You need to log in before you can comment on or make changes to this bug.